package cn.com.ty.lift.batch.applet.dao.model.request;

import cn.com.ty.lift.batch.applet.constants.DataStatisticsConstants;
import cn.com.ty.lift.batch.applet.util.DataStatisticsUtil;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description
 */
@Data
public class CommonRequest implements Serializable {
    /**
     * 起始时间-日期格式
     */
    private LocalDateTime startTimeDate;
    /**
     * 起始时间-字符串格式
     */
    private String startTimeDateStr;
    /**
     * 终止时间-日期格式
     */
    private LocalDateTime endTimeDate;
    /**
     * 结束时间-字符串形式
     */
    private String endTimeDateStr;

    /**
     * 公司id
     */
    private Long mtCompanyId;

    public LocalDateTime getStartTimeDate(){
        if(startTimeDate != null){
            return startTimeDate;
        }
        return DataStatisticsUtil.getLocalDateTimeFromStr(startTimeDateStr,
                DataStatisticsConstants.DATA_STATISTICS_TIME_FORMAT);
    }

    public LocalDateTime getEndTimeDate(){
        if(endTimeDate != null){
            return endTimeDate;
        }
        return DataStatisticsUtil.getLocalDateTimeFromStr(endTimeDateStr,
                DataStatisticsConstants.DATA_STATISTICS_TIME_FORMAT);
    }
}
